<?php
/**
 * target_lang.php
 *
 * Language file for the learning targets and outcomes and skills.
 * This is for the tree menu LT and outcomes link and the LT/outcomes edit popups.
 *
 * @author $Author: dtong $
 * @version $Id: target_lang.php,v 1.30 2012/04/07 09:31:53 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

//$lang['target_header'] = 'Standard And Learning Tragets';
$lang['target_strand'] = 'Strand';
$lang['target_standard'] = 'Standard';
$lang['target_benchmark'] = 'Benchmark';
$lang['target_title'] = "Learning Targets";
$lang['target_course'] = 'Course';
$lang['target_notargetdelete'] = 'No such learning target to delete';
$lang['target_faileddelete'] = 'Failed to delete learning target';
$lang['target_cancel'] = 'Cancel';
$lang['target_save'] = 'Save';
$lang['target_kslegends'] = 'K=Knowledge, S=Skill';
$lang['target_failedupdate'] = 'Failed to update data, please try again later';
$lang['target_ittitle'] = "Technology and Library Standards";
$lang['target_reverse'] = "Reverse Unit Linking";
$lang['target_samples'] = "Samples";
$lang['target_tlegends'] = 'ICT';
$lang['target_llegends'] = 'Lib';
$lang['target_knowledge'] = 'K';
$lang['target_skill'] = 'S';
$lang['target_move_up_alttext'] = 'Up';
$lang['target_move_down_alttext'] = 'Down';
$lang['target_delete_confirm_msg'] = 'Are you sure to delete the following learning target?\n\n%s\n\n(This target will also be deleted from all units)';
$lang['target_delete_alttext'] = 'Delete';
$lang['target_edit_page_title'] = 'Add/Edit Course Specific Learning Targets';
$lang['target_read_page_title'] = 'Benchmarks and Learning Targets';
$lang['target_no_data_msg'] = 'Sorry, there are no strands, standards and benchmarks defined for the related department.';
$lang['target_edit_btn_alttext'] = 'Add/Edit Learning Target(s)';
$lang['target_edit_win_title'] = 'Add/Edit Learning Targets';

$lang['outcomes_title']           = 'Add / Edit Outcomes and Skills';
$lang['outcomes_skills']          = 'Outcomes and Skills';
$lang['outcomes_column_outcomes'] = 'Outcome';
$lang['outcomes_column_skills']   = 'Skills';
$lang['outcomes_button_add']      = 'Add New Outcome';
$lang['outcomes_button_save']     = 'Save';
$lang['outcomes_button_cancel']   = 'Cancel';
$lang['outcomes_button_remove']   = 'Remove Outcome';
$lang['outcomes_validate_save']   = 'Sorry, you didn\'t enter any data.<br /><br />Please try again or press the Cancel button.';
$lang['outcomes_confirm_delete']  = 'Are you sure to delete this skill?';
$lang['outcomes_confirm_remove']  = 'Are you sure to delete this Outcome and all its Skills?';
$lang['outcomes_nodatamsg']       = 'Sorry, there are no outcomes and skills defined for this course.';

$lang['outcomes_save_error']      = 'Error';
$lang['outcomes_faileddelete']    = 'Failed to delete skill';

$lang['target_title_pdf'] = 'Target Export PDF';
$lang['target_button_pdf'] = 'View PDF';
$lang['target_button_colse'] = 'Close';

$lang['target_ict_ict_lib'] = 'ICT/Lib';

$lang['outcomes_course_lnk_button_add']      = 'Link Other OS';
$lang['outcomes_course_lnk_head']      = 'Course Link';
$lang['outcomes_course_lnk_title_link']      = 'Outcome and Skill Course Link(s)';
$lang['outcomes_course_lnk_title_os']      = 'Add Outcome and Skill Course Link';
$lang['outcomes_course_lnk_title_lt']      = 'Link Learning Targets From Courses';
$lang['outcomes_course_lnk_addcourse'] = 'Add course(s) to list';
$lang['outcomes_course_lnk_deletecourse'] = 'Remove course from list';
$lang['outcomes_course_lnk_select_course'] = 'Please select one or more course(s)';
$lang['outcomes_course_lnk_result_course'] = 'Selected Course Link(s)';
$lang['outcomes_course_lnk_footer_os'] = 'The outcomes and skills from selected courses will be available on the OS selection pop-up from the unit page';
$lang['outcomes_course_lnk_footer_lt'] =
	'The arrow button in the center will become clickable after one or more courses are highlighted from the left course list. ' .
   'The learning targets from the selected course(s) and their related department(s) will be available on the learning target pop-up page (red "LT" button) for all units in this course. ' .
	'This also links the essential questions in the professional version.';
$lang['outcomes_course_lnk_message'] = 'Are you sure to remove this course?';
$lang['outcomes_course_lnk_button_close']   = 'Close';
$lang['target_course_lnk_button_add'] = 'Link From Other Courses';
$lang['target_course_lnk_title_link'] = 'Learning targets from these course(s) and their related department(s) are linked (available in the units\' "LT" popup)';
$lang['target_course_lnk_course_none'] = 'None';

$lang['target_tail_gc'] = 'Select';
$lang['target_dept_lt_tag'] = '(Dept. LT)';

?>