<?php
/**
 * configfactory.php - The factory for mapping searche template
 *
 * @author $Author: dtong $
 * @version $Id: configfactory.php,v 1.10 2012/03/20 08:34:19 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class configfactory {
   public static function factory($template='') {
   	if ( $template == '' ) {
   		$CI =& get_instance();
   		$template = $CI->config->item('cms_mapping_template');
   		if ( $template === FALSE )
   			$template = $CI->config->item('cms_unit_org');
   	}

   	$cache_lib = FALSE;
   	if ( osa_3p_available() && ($cache_lib = tp_cache_object()) ) {
   		if ( ($cache = $cache_lib->get(CMS_3P_PRESISTENT_FOLDER_MAPPING_TEMPLATE, $template)) !== NULL ) {
   			// Use the data from cache
   			return $cache;
   		}
   	}

		if ( include_once CMS_TEMPLATEPATH_MAPPING . $template . '.php') {
			$data = search_config_data::get();
			if ( $cache_lib ) {
				//Add the cache for the first time or source file has changed
				$cache_lib->add(CMS_3P_PRESISTENT_FOLDER_MAPPING_TEMPLATE, $template, $data,
									 CMS_TEMPLATEPATH_MAPPING . $template . '.php');
			}
			return $data;
		}
		return FALSE;
   }
}
