<?php
/**
 * general_lang.php - General language file
 *
 * @author $Author: dtong $
 * @version $Id: general_lang.php,v 1.29 2012/04/02 16:27:23 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

$lang['gen_no_permission_ajaxmsg'] = "Sorry, you don't have permission to perform this task.";
$lang['gen_js_ajaxservererror'] = 'An error has occurred while accessing the server';
$lang['gen_js_ajaxclienterror'] =
'Failed to connect with the server.<br /><br />Please check your internet connection or restart your web browser and try again.';
$lang['gen_js_ajaxsessiontimeoutmsg'] = 'Your session has timed out.<br />You will be redirected to the login page in 10 seconds.';
$lang['gen_internalservererror'] = 'Internal Server Error.';
$lang['gen_cancelinputmsg'] = 'Are you sure to cancel your input?';
$lang['gen_closebutton'] = 'Close';
$lang['gen_redirectbutton'] = 'Go To Login Page Now';
$lang['gen_more_help_soon'] = 'More help files coming soon!';
$lang['gen_pdf_wait_msg'] = 'Generating PDF document. Please wait.';
$lang['gen_pdf_failed_msg'] = 'Sorry, failed to generate PDF document.\n\nPlease notify your IT administrator.';
$lang['gen_pdf_failed_msg_inpdf'] = 'Sorry, this is an incomplete PDF document request. <br /><br />The PDF generation was aborted.';
$lang['gen_pdf_invalid_request'] = 'Invalid PDF request, aborted.';
$lang['gen_radio_update_error_msg'] = 'System error, please logout and try again.';
$lang['gen_sort_button_up'] = 'Up';
$lang['gen_sort_button_down'] = 'Down';
$lang['gen_javascript_error'] = 'Web browser Javascript error. Please restart your browser, clean your browser cache and try again.\n\n' .
                                'If you are running a non-standard browser then please try one of the approved browsers.';
$lang['gen_maintenance_msg'] = 'This site is currently in maintenance mode.<br />No users are allowed to login.';
$lang['gen_maintenance_ajaxmsg'] = 'System is in maintenance mode.<br />You will be redirected to the login page in 10 seconds.';

$lang['gen_siteres_edit'] = 'Turn editing on';
$lang['gen_siteres_done'] = 'Done';
$lang['gen_siteres_title'] = 'Site Resources';

$lang['gen_cal_jan'] = 'Jan';
$lang['gen_cal_feb'] = 'Feb';
$lang['gen_cal_mar'] = 'Mar';
$lang['gen_cal_apr'] = 'Apr';
$lang['gen_cal_may'] = 'May';
$lang['gen_cal_jun'] = 'Jun';
$lang['gen_cal_jul'] = 'Jul';
$lang['gen_cal_aug'] = 'Aug';
$lang['gen_cal_sep'] = 'Sep';
$lang['gen_cal_oct'] = 'Oct';
$lang['gen_cal_nov'] = 'Nov';
$lang['gen_cal_dec'] = 'Dec';

$lang['gen_search_session_timedout'] =
	'Sorry, a minor conflict has been detected and the page requested can not be displayed. ' .
	'This is due to having TODCM running in two separate browser windows/tabs. ' .
	'This is a non-critical error and no data has been lost. Please continue your work on the site.';
$lang['gen_pdf_generated'] = "Generated on:";
$lang['gen_template_page_title'] = 'Page:';

$lang['gen_security_error'] = '<div class="buildererror">Template secuirty session error. Please notify your system administrator.</div>';
$lang['gen_security_bad_param_error'] =
	'<div class="buildererror">Invalid security internal parameters. Please notify your system administrator.</div>';
$lang['gen_btnsort_error'] = 'Sorry, failed to sort data.<br /><br />This can be caused by another user had deleted the item before you were trying to sort.';
$lang['gen_security_no_permission'] = 'Sorry, you don\'t have permission to perform this action.<br /><br />' .
	'This can be caused by having 2 browsers opened at the same time and one of them has been idled too long.<br /><br />' .
	'The "login as" function can also cause this error with 2 active browsers.';
$lang['gen_security_guest_not_allowed'] = 'Sorry, guest users are not allowed to access this area of the site.';
$lang['gen_invalid_request'] = 'Invalid request URL, aborted.<br /><br />Please refresh your browser and try again.';
