<?php
/**
 * header_buttons_view.php - Buttons for the header.
 *
 * @author $Author: dtong $
 * @version $Id: header_buttons_view.php,v 1.3 2012/04/07 09:31:52 dtong Exp $
 * @copyright Copyright (c) 2012, Tiller Software Co., Ltd.
*/
$site_url = base_url();
$value_goal = lang('header_button_goal');
$button_goal = "<input type='button' onClick='return site_director(\"menu/menu_tree/index/goal\");' " .
					"value='{$value_goal}'". osa_btn(FALSE)." >";

// Home
?><input type="button" value="<?php echo lang('header_button_home') ;?>" onClick="return site_director();" <?php osa_btn();?> /><?php
		// Resources
		if ( osa_check_access('site_resource_read') ) { ?>
		<input type="button" value="<?php echo lang('header_button_resources') ;?>"
				onClick="return site_director('cms/site_res', 'page_content', false);" <?php osa_btn();?> />
	<?php
		}
	if (osa_check_access('non_guest_access')) {
		//Goal
		if ( $this->config->item('cms_goal_mode') ) {
			echo $button_goal;
		}
		// Admin
		if ( $this->access_model->is_user_management() ) {
	?> <input type="button" value="<?php echo lang('header_button_admin') ;?>"
			onClick="return site_director('menu/menu_tree/index/admin');" <?php osa_btn();?> /><?php
		} //Profile ?> <input type="button" value="<?php echo lang('header_button_profile') ;?>"
			onClick="newDhtmlWindow('<?php echo $site_url. 'admin/user/editprofile/'; ?>',
	        '<?php echo lang('header_button_profile');?>', 450, 430,'user_profile'); return false;"
				<?php osa_btn();?> />
	<?php //Mapping ?><input type="button" value="<?php echo lang('header_button_mapping') ;?>"
			onClick="return site_director('menu/mapping');" <?php osa_btn();?> /><?php
	//ICT upload
	if ( $this->config->item('cms_use_it_standard') ) {
		$url_menu = 'menu/menu_ict/index/'. CMS_ITSTANDARDS_TYPE.'/'.CMS_ITSTANDARDS_RESOURCE_TYPE.'/'. CMS_ICT_USER_TYPE;
		if ( $this->access_model->is_ict_editor(CMS_ICT_USER_TYPE) ) {
			$btn_text = lang('header_button_uploads_'.CMS_ICT_USER_TYPE);
		}
		else {
			$btn_text = lang('header_button_uploads_ro_' . CMS_ICT_USER_TYPE);
		}
	?> <input type="button" value="<?php echo $btn_text;?>" onClick="return site_director('<?php echo $url_menu?>');" <?php osa_btn();?> />
	<?php }
	// GC upload
	if ( $this->config->item('cms_use_gc') ) {
		$url_menu = 'menu/menu_ict/index/'. CMS_GLOBAL_CITIZEN_TYPE.'/'.CMS_GLOBAL_CITIZEN_UPLOAD_TYPE.'/'. CMS_GC_USER_TYPE;
	 	if ( $this->access_model->is_ict_editor(CMS_GC_USER_TYPE) ) {
	 		$btn_text = lang('header_button_uploads_'.CMS_GC_USER_TYPE);
	 	}
	 	else {
	 		$btn_text = lang('header_button_uploads_ro_'.CMS_GC_USER_TYPE);
	 	}
	?> <input type="button" onClick="return site_director('<?php echo $url_menu?>');" value="<?php echo $btn_text;?>" <?php osa_btn();?> /><?php
	}
	// TaIL upload
	if ( $this->config->item('cms_use_tail') ) {
		$url_menu = 'menu/menu_ict/index/'. CMS_TAIL_TYPE.'/'.CMS_TAIL_UPLOAD_TYPE.'/'. CMS_TAIL_USER_TYPE;
	 	if ( $this->access_model->is_ict_editor(CMS_TAIL_USER_TYPE) ) {
			$btn_text = lang('header_button_uploads_'.CMS_TAIL_USER_TYPE);
	 	}
	 	else {
	 		$btn_text = lang('header_button_uploads_ro_'.CMS_TAIL_USER_TYPE);
	 	}
	 	?> <input type="button" value="<?php echo $btn_text;?>" onClick="return site_director('<?php echo $url_menu?>');" <?php osa_btn();?> /><?php
	}
	if ( $this->config->item('cms_help_config') !== FALSE ) {
		// Help
	?> <input type="button" value="<?php echo lang('header_button_help');?>"
		onClick="return newIframeWindow('<?php echo $site_url.'menu/help';?>', 'Help', 1200, 800, 'help_iframe');" <?php osa_btn();?> /><?php
	}
} // non_guest_access ?>
 <input type="button" <?php //Todcm.org doc ?>onClick="return openBrowserWindow('http://todcm.org/doc.php',1024,800,'todcmorg_doc',true);" value="<?php echo lang('header_button_doc')?>" <?php osa_btn();?> /> &nbsp;
 <input type="button" <?php //Logout ?>onClick="return newLocation('<?php echo $site_url;?>login/logout');" value="<?php echo lang('header_button_logout')?>" <?php osa_btn();?> />